#include "compiler.ih"

Compiler::Compiler(Map const &map)
:
    d_map(map),
    d_current(d_map.begin()),

    d_thread(s_nThreads),
    d_pid(g_pid.substr(0, g_pid.find(' ')))
{
    setFileIterators();
}

